Subject: Re: windres - controls supported
From: [email-masked] (Tom Stokes)

21 Jun 1998 16:42:30 -0700
Message-ID: <000a01bd9d50$87630540$0345aace.cygnus.gnu-win32@TomStokes>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "CYGWIN32" <[email-masked]>, "root" <[email-masked]>

>> Is this the current status? Is there a workaround? I really need a
slider!
>
>I can recommend you to use another lcc tool for that:
>
>>>> lrc.exe
>
>(lcc's resource compiler).
>
>It will handle all resource types, and it is supported: if any problems
arise
>just let me know and I will fix it.

Thanks Jacob, now I have some hope. At least part of the problem is that  I
have no docs on
creating Win32 resources.

WEDITRES generates this for a slider (trackbar) in a dialog box:

    CONTROL         "", DLGA_ALPHA, "", Trackbar | WS_EX_TOOLWINDOW |
                            WS_CLIPSIBLINGS, 203, 176, 223, 18

LRC spits out a number of "integer expected" and "control statement
expected". Guessing the problem
might be with the word 'Trackbar', I substitued a known style  - e.g.
TBS_HORZ.. This did allow
LRC to compile without error, but the dialog box wouldn't open.

Perhaps all I need is a working script. I could manage from there.

         Thanks for your help,

          Tom

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".